<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>The fix: raise the victory flag</h1>

<p>
  QEMU 4.0 added <code>BDRV_REQ_NO_FALLBACK</code> to detect if
  zeroing is fast, and automatically utilizes it during 'qemu-img
  convert':
  <ul>
    <li>No support for flag: avoid pre-zeroing
    <li>Flag supported and succeeds (for O(1) implementation):
      pre-zeroing is a win
    <li>Flag supported but fails (for O(n) implementation): no penalty
      from pre-zeroing
  </ul>

<img src="4500-graph.png" width="70%" style="display: block; margin: auto;"/>

</p>
